> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.gorilladash.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.gorilladash.com/_mcp/server.

# Get Knowledge Article List

GET https://api.gorilladash.com/api/v1/knowledge-articles

Reference: https://docs.gorilladash.com/gorilla-dash-rest-ful-api/knowledge-article/get-knowledge-article-list

## Authentication

- `GorillaDash-Api-Key` header (required) — Gorilla Dash API Key. Issued per organisation or tribe.
- `GorillaDash-Api-Secret` header (required) — Gorilla Dash API Secret. Sent alongside the API key on every request.

## Request

### Query parameters

- `page` (integer, optional)
- `results_per_page` (integer, optional)

### Headers

- `X-Requested-With` (string, optional)

## Response

### 201

Created

- `status` (integer, required)
- `success` (boolean, required)
- `data` (list of object, required)
  - `id` (integer, required)
  - `created_at` (datetime, required)
  - `updated_at` (datetime, required)
  - `heading` (string, required)
  - `abstract` (string, required)
  - `author` (string, required)
  - `slug` (string, required)
  - `public_url` (string, required)
  - `status` (string, required)
  - `is_public` (boolean, required)
- `pagination` (object, required)
  - `count` (integer, required)
  - `total` (integer, required)
  - `perPage` (integer, required)
  - `currentPage` (integer, required)
  - `totalPages` (integer, required)
  - `links` (object, required)
    - `next` (string, required)

## Examples

**Response**

```json
{
  "status": 201,
  "success": true,
  "data": [
    {
      "id": 2076,
      "created_at": "2026-06-22T18:05:18.000000Z",
      "updated_at": "2026-06-23T03:00:36.000000Z",
      "heading": "Gorilla Dash  - Platform Release Notes",
      "abstract": "Gorilla Dash has had some upgrades to their Knowledge Base Module.",
      "author": "Daniel Norton",
      "slug": "gorilladash",
      "public_url": "https://gorilladash.com/knowledge/main-site/gorilladash",
      "status": "Published",
      "is_public": true
    },
    {
      "id": 2073,
      "created_at": "2026-06-19T00:01:41.000000Z",
      "updated_at": "2026-06-22T17:27:30.000000Z",
      "heading": "Understanding User Roles",
      "abstract": "Understanding user roles: Tribe Owner vs Tribe Admin vs standard user. Gorilla Dash uses a role-based permission system to control what users can see and do within a tribe (your franchise location or brand). This article explains each role and when t",
      "author": "Daniel Norton",
      "slug": "understanding-user-roles",
      "public_url": "https://gorilladash.com/knowledge/main-site/understanding-user-roles",
      "status": "Published",
      "is_public": true
    },
    {
      "id": 2072,
      "created_at": "2026-06-16T19:56:17.000000Z",
      "updated_at": "2026-06-19T03:00:53.000000Z",
      "heading": "Connecting Google Business Profile and managing your reviews",
      "abstract": "string",
      "author": "Daniel Norton",
      "slug": "connecting-google-business-profile-and-managing-your-reviews",
      "public_url": "https://gorilladash.com/knowledge/main-site/connecting-google-business-profile-and-managing-your-reviews",
      "status": "Published",
      "is_public": true
    },
    {
      "id": 2071,
      "created_at": "2026-06-16T19:19:22.000000Z",
      "updated_at": "2026-06-16T19:33:47.000000Z",
      "heading": "How to log in, reset your password, and resolve account lockouts",
      "abstract": "How to log in, reset your password, and resolve account lockouts",
      "author": "Daniel Norton",
      "slug": "log-in-issues",
      "public_url": "https://gorilladash.com/knowledge/main-site/log-in-issues",
      "status": "Published",
      "is_public": true
    },
    {
      "id": 2065,
      "created_at": "2026-06-01T20:15:46.000000Z",
      "updated_at": "2026-06-02T20:42:50.000000Z",
      "heading": "Set Up Your Two Factor Authentication",
      "abstract": "How to set up your two factor authentication in Gorilla Dash.",
      "author": "Daniel Norton",
      "slug": "two-factor-authentication",
      "public_url": "https://gorilladash.com/knowledge/main-site/two-factor-authentication",
      "status": "Published",
      "is_public": true
    }
  ],
  "pagination": {
    "count": 5,
    "total": 8,
    "perPage": 5,
    "currentPage": 1,
    "totalPages": 2,
    "links": {
      "next": "https://api.gorilladash.com/api/v1/knowledge-articles?results_per_page=5&page=2"
    }
  }
}
```

**SDK Code**

```python Knowledge Article_Get Knowledge Article List_example
import requests

url = "https://api.gorilladash.com/api/v1/knowledge-articles"

querystring = {"page":"1","results_per_page":"10"}

headers = {
    "X-Requested-With": "XMLHttpRequest",
    "GorillaDash-Api-Key": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Knowledge Article_Get Knowledge Article List_example
const url = 'https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10';
const options = {
  method: 'GET',
  headers: {'X-Requested-With': 'XMLHttpRequest', 'GorillaDash-Api-Key': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Knowledge Article_Get Knowledge Article List_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Requested-With", "XMLHttpRequest")
	req.Header.Add("GorillaDash-Api-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Knowledge Article_Get Knowledge Article List_example
require 'uri'
require 'net/http'

url = URI("https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Requested-With"] = 'XMLHttpRequest'
request["GorillaDash-Api-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Knowledge Article_Get Knowledge Article List_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10")
  .header("X-Requested-With", "XMLHttpRequest")
  .header("GorillaDash-Api-Key", "<apiKey>")
  .asString();
```

```php Knowledge Article_Get Knowledge Article List_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10', [
  'headers' => [
    'GorillaDash-Api-Key' => '<apiKey>',
    'X-Requested-With' => 'XMLHttpRequest',
  ],
]);

echo $response->getBody();
```

```csharp Knowledge Article_Get Knowledge Article List_example
using RestSharp;

var client = new RestClient("https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Requested-With", "XMLHttpRequest");
request.AddHeader("GorillaDash-Api-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Knowledge Article_Get Knowledge Article List_example
import Foundation

let headers = [
  "X-Requested-With": "XMLHttpRequest",
  "GorillaDash-Api-Key": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gorilladash.com/api/v1/knowledge-articles?page=1&results_per_page=10")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```